BoundType
Date: 2016-05-24

com.google.common.collect

## Enum BoundType

- java.lang.Object
- - java.lang.Enum<BoundType>
  - - com.google.common.collect.BoundType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BoundType>

      @GwtCompatible
      public enum BoundType
      extends java.lang.Enum<BoundType>

  Indicates whether an endpoint of some range is contained in the range itself ("closed") or not ("open"). If a range is unbounded on a side, it is neither open nor closed on that side; the bound simply does not exist.
  Since:
    10.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLOSED` The endpoint value is considered part of the set ("inclusive").
    `OPEN` The endpoint value is not considered part of the set ("exclusive").

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BoundType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BoundType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPEN

          public static final BoundType OPEN

      The endpoint value is not considered part of the set ("exclusive").

    - #### CLOSED

          public static final BoundType CLOSED

      The endpoint value is considered part of the set ("inclusive").

  - ### Method Detail

    - #### values

          public static BoundType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BoundType c : BoundType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BoundType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null